Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES

## Uses of Class
gnu.crypto.hash.Sha256Standalone

Packages that use Sha256Standalone
gnu.crypto.prng |
net.i2p.data | These classes define the common data structures used by the various I2P protocols.

Uses of Sha256Standalone in gnu.crypto.prng

Fields in gnu.crypto.prng declared as Sha256Standalone
`(package private) Sha256Standalone[]` | `FortunaStandalone.pools`

Uses of Sha256Standalone in net.i2p.data

Methods in net.i2p.data with parameters of type Sha256Standalone
`static String` | `DataHelper.readLine(InputStream in, Sha256Standalone hash)` update the hash along the way Warning - strips \n but not \r Warning - 8KB line length limit as of 0.7.13, @throws IOException if exceeded Warning - not UTF-8
`static boolean` | `DataHelper.readLine(InputStream in, StringBuffer buf, Sha256Standalone hash)` Deprecated. use StringBuilder version
`static boolean` | `DataHelper.readLine(InputStream in, StringBuilder buf, Sha256Standalone hash)` update the hash along the way Warning - strips \n but not \r Warning - 8KB line length limit as of 0.7.13, @throws IOException if exceeded Warning - not UTF-8
`static void` | `DataHelper.write(OutputStream out, byte[] data, Sha256Standalone hash)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES